# Uses of Class
com.fasterxml.jackson.datatype.jsr310.deser.InstantDeserializer

Packages that use InstantDeserializer
Package
Description
com.fasterxml.jackson.datatype.jsr310.deser

## Uses of InstantDeserializer in com.fasterxml.jackson.datatype.jsr310.deser

Fields in com.fasterxml.jackson.datatype.jsr310.deser declared as InstantDeserializer
Modifier and Type
Field
Description
`static final InstantDeserializer<Instant>`
InstantDeserializer.`INSTANT`
`static final InstantDeserializer<OffsetDateTime>`
InstantDeserializer.`OFFSET_DATE_TIME`
`static final InstantDeserializer<ZonedDateTime>`
InstantDeserializer.`ZONED_DATE_TIME`
Methods in com.fasterxml.jackson.datatype.jsr310.deser that return InstantDeserializer
Modifier and Type
Method
Description
`protected InstantDeserializer<T>`
InstantDeserializer.`withDateFormat(DateTimeFormatter dtf)`
`protected InstantDeserializer<T>`
InstantDeserializer.`withLeniency(Boolean leniency)`
`protected InstantDeserializer<T>`
InstantDeserializer.`withShape(com.fasterxml.jackson.annotation.JsonFormat.Shape shape)`
Constructors in com.fasterxml.jackson.datatype.jsr310.deser with parameters of type InstantDeserializer
Modifier
Constructor
Description
`protected`
`InstantDeserializer(InstantDeserializer<T> base, Boolean adjustToContextTimezoneOverride)`
`protected`
`InstantDeserializer(InstantDeserializer<T> base, DateTimeFormatter f)`
`protected`
`InstantDeserializer(InstantDeserializer<T> base, DateTimeFormatter f, Boolean leniency)`